Subject: bug#52919: closed (Re: bug#52919: Hidden "disk-image-rw" files aren't deleted after use, filling $tmpdir)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Jan 2022 11:28:02 +0000

Your bug report

#52919: Hidden "disk-image-rw" files aren't deleted after use, filling $tmpdir

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52919: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52919: Hidden "disk-image-rw" files aren't deleted after use, filling $tmpdir
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Fri, 14 Jan 2022 12:27:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Ludo!

> It’s maybe not that important but I’m not convinced about the extra
> “-image” and “-vm” suffixes; I don’t think it makes things clearer.

Pushed without those suffixes!

Thanks for reviewing,

Mathieu

Subject: Hidden "disk-image-rw" files aren't deleted after use, filling $tmpdir
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 31 Dec 2021 13:18:21 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that files such as
".gk8hqaqb6z4q1gmk678sixjbc9r7kd9g-disk-image-rw" are filling up my
$TMPDIR when building ISO images with Guix.

This is new. I think the issue was introduced with recent work on (gnu
system image), perhaps from this commit:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=da924796744bbb7b035a986fe5d28d8d613ff6af